Bug 1051581 - [abrt] gnome-shell: boxed_new_resolve(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: boxed_new_resolve(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6027f8f44202094d701cdff26a7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-10 15:57 UTC by Iliyan
Modified: 2015-06-29 14:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:20:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (48.10 KB, text/plain)
2014-01-10 15:57 UTC, Iliyan
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-10 15:57 UTC, Iliyan
no flags Details
File: core_backtrace (31.68 KB, text/plain)
2014-01-10 15:57 UTC, Iliyan
no flags Details
File: dso_list (23.66 KB, text/plain)
2014-01-10 15:57 UTC, Iliyan
no flags Details
File: environ (1.64 KB, text/plain)
2014-01-10 15:57 UTC, Iliyan
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-10 15:58 UTC, Iliyan
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-10 15:58 UTC, Iliyan
no flags Details
File: maps (106.95 KB, text/plain)
2014-01-10 15:58 UTC, Iliyan
no flags Details
File: open_fds (5.98 KB, text/plain)
2014-01-10 15:58 UTC, Iliyan
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2014-01-10 15:58 UTC, Iliyan
no flags Details
File: var_log_messages (43.20 KB, text/plain)
2014-01-10 15:58 UTC, Iliyan
no flags Details

Description Iliyan 2014-01-10 15:57:33 UTC
Version-Release number of selected component:
gnome-shell-3.10.2.1-3.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gnome-shell --sm-client-id 106146a46965884dcd138675825826129800000034370000
crash_function: boxed_new_resolve
executable:     /usr/bin/gnome-shell
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 boxed_new_resolve at gi/boxed.c:142
 #1 CallResolveOp at /usr/src/debug/mozjs17.0.0/js/src/jsobj.cpp:4009
 #2 LookupPropertyWithFlagsInline at /usr/src/debug/mozjs17.0.0/js/src/jsobj.cpp:4061
 #3 js_GetPropertyHelperInline at /usr/src/debug/mozjs17.0.0/js/src/jsobj.cpp:4277
 #4 js::GetPropertyHelper at /usr/src/debug/mozjs17.0.0/js/src/jsobj.cpp:4365
 #5 js::Interpret at /usr/src/debug/mozjs17.0.0/js/src/jsinterpinlines.h:270
 #6 js::RunScript at /usr/src/debug/mozjs17.0.0/js/src/jsinterp.cpp:309
 #7 js::InvokeKernel at /usr/src/debug/mozjs17.0.0/js/src/jsinterp.cpp:363
 #8 Invoke at /usr/src/debug/mozjs17.0.0/js/src/jsinterp.h:119
 #9 js_fun_apply at /usr/src/debug/mozjs17.0.0/js/src/jsfun.cpp:912

Comment 1 Iliyan 2014-01-10 15:57:40 UTC
Created attachment 848266 [details]
File: backtrace

Comment 2 Iliyan 2014-01-10 15:57:45 UTC
Created attachment 848267 [details]
File: cgroup

Comment 3 Iliyan 2014-01-10 15:57:47 UTC
Created attachment 848268 [details]
File: core_backtrace

Comment 4 Iliyan 2014-01-10 15:57:50 UTC
Created attachment 848269 [details]
File: dso_list

Comment 5 Iliyan 2014-01-10 15:57:52 UTC
Created attachment 848270 [details]
File: environ

Comment 6 Iliyan 2014-01-10 15:58:03 UTC
Created attachment 848271 [details]
File: exploitable

Comment 7 Iliyan 2014-01-10 15:58:06 UTC
Created attachment 848272 [details]
File: limits

Comment 8 Iliyan 2014-01-10 15:58:08 UTC
Created attachment 848273 [details]
File: maps

Comment 9 Iliyan 2014-01-10 15:58:11 UTC
Created attachment 848274 [details]
File: open_fds

Comment 10 Iliyan 2014-01-10 15:58:13 UTC
Created attachment 848275 [details]
File: proc_pid_status

Comment 11 Iliyan 2014-01-10 15:58:15 UTC
Created attachment 848276 [details]
File: var_log_messages

Comment 12 Iliyan 2014-01-10 16:06:31 UTC
I had to lock my screen for few minutes. Next time I've logged-in the shell crashed immediately after the log-in screen.

Comment 13 Jan Vesely 2014-12-07 02:01:21 UTC
Another user experienced a similar problem:

unlocking the screen

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: boxed_new_resolve
executable:     /usr/bin/gnome-shell
kernel:         3.17.3-200.fc20.x86_64
package:        gnome-shell-3.10.4-9.fc20
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Fedora End Of Life 2015-05-29 10:25:54 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 14:20:18 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.